{% extends 'base.html.twig' %}

{% block body %}
    <form action="" class="form container" method="POST">
        <h1>User editing</h1>
        <div class="form-group">
            <label>Name:</label>
            <input type="text" name='name' value="{{ user.name }}" class="form-control">
        </div>
        <div class="form-group">
            <label>Lastname:</label>
            <input type="text" name='lastname' value="{{ user.lastname }}" class="form-control">
        </div>
        <div class="form-group">
            <label>E-mail:</label>
            <input type="text" name='email' value="{{ user.email }}" class="form-control">
        </div>
        <div class="form-group">
            <input type="checkbox" value="1" name="is_encrypted" {% if user.isEncrypted %}checked{% endif %}> Encrypt
        </div>
        <div class="form-group">
            <input type="submit" value="Save" class="btn btn-primary">
        </div>

        {% if message %}
            <div>
                <small class="d-inline-flex mb-3 px-2 py-1 fw-semibold text-success-emphasis bg-success-subtle border border-success-subtle rounded-2">
                    {{ message }}
                </small>
            </div>
        {% endif %}
    </form>
{% endblock %}